
From: Pavel Machek <pavel@ucw.cz>

pm_access does nothing these days, and looks ugly.  This removes it from
vt.c.  That actually looks like last user in the tree; it should be
possible to kill pm_access completely after 2.6.10.  Ouch and add warning
to obsolete pm.txt file.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/Documentation/pm.txt |    6 ++++--
 25-akpm/drivers/char/vt.c    |    6 ------
 2 files changed, 4 insertions(+), 8 deletions(-)

diff -puN Documentation/pm.txt~kill-useless-pm_access-from-vtc Documentation/pm.txt
--- 25/Documentation/pm.txt~kill-useless-pm_access-from-vtc	2004-10-26 01:06:54.370183504 -0700
+++ 25-akpm/Documentation/pm.txt	2004-10-26 01:06:54.379182136 -0700
@@ -36,8 +36,8 @@ system the associated daemon will exit g
   apmd:   http://worldvisions.ca/~apenwarr/apmd/
   acpid:  http://acpid.sf.net/
 
-Driver Interface
-----------------
+Driver Interface -- OBSOLETE, DO NOT USE!
+----------------*************************
 If you are writing a new driver or maintaining an old driver, it
 should include power management support.  Without power management
 support, a single driver may prevent a system with power management
@@ -262,8 +262,8 @@ Q: Who do I contact for additional infor
 
 ACPI Development mailing list: acpi-devel@lists.sourceforge.net
 
-System Interface
-----------------
+System Interface -- OBSOLETE, DO NOT USE!
+----------------*************************
 If you are providing new power management support to Linux (ie.
 adding support for something like APM or ACPI), you should
 communicate with drivers through the existing generic power
diff -puN drivers/char/vt.c~kill-useless-pm_access-from-vtc drivers/char/vt.c
--- 25/drivers/char/vt.c~kill-useless-pm_access-from-vtc	2004-10-26 01:06:54.372183200 -0700
+++ 25-akpm/drivers/char/vt.c	2004-10-26 01:07:21.876001984 -0700
@@ -2153,8 +2153,6 @@ void vt_console_print(struct console *co
 	if (!printable || test_and_set_bit(0, &printing))
 		return;
 
-	pm_access(pm_con);
-
 	if (kmsg_redirect && vc_cons_allocated(kmsg_redirect - 1))
 		currcons = kmsg_redirect - 1;
 
@@ -2353,7 +2351,6 @@ static int con_write(struct tty_struct *
 {
 	int	retval;
 
-	pm_access(pm_con);
 	retval = do_con_write(tty, buf, count);
 	con_flush_chars(tty);
 
@@ -2364,7 +2361,6 @@ static void con_put_char(struct tty_stru
 {
 	if (in_interrupt())
 		return;	/* n_r3964 calls put_char() from interrupt context */
-	pm_access(pm_con);
 	do_con_write(tty, &ch, 1);
 }
 
@@ -2433,8 +2429,6 @@ static void con_flush_chars(struct tty_s
 	if (in_interrupt())	/* from flush_to_ldisc */
 		return;
 
-	pm_access(pm_con);
-	
 	/* if we race with con_close(), vt may be null */
 	acquire_console_sem();
 	vt = tty->driver_data;
_
